Bug 851227 - Introduce new systemd-rpm macros in apcupsd spec file
Introduce new systemd-rpm macros in apcupsd spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: apcupsd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-23 10:24 EDT by Václav Pavlín
Modified: 2012-09-17 19:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: apcupsd-3.14.10-6.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:55:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.41 KB, patch)
2012-08-23 10:26 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Václav Pavlín 2012-08-23 10:24:32 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-08-23 10:26:58 EDT
Created attachment 606620 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Fedora Update System 2012-08-24 08:55:46 EDT
apcupsd-3.14.10-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/apcupsd-3.14.10-6.fc18
Comment 3 Fedora Update System 2012-08-24 17:33:51 EDT
Package apcupsd-3.14.10-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing apcupsd-3.14.10-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12652/apcupsd-3.14.10-6.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 19:55:22 EDT
apcupsd-3.14.10-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.